ข้ามไปยังเนื้อหา

Kling Video Create Voice

ผสานการทำงาน

ID โมเดล kling-video/create-voice
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/create-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.007 7 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API

ลงทะเบียนเสียงแบบกำหนดเองจากตัวอย่างเสียงหรือวิดีโอความยาว 5-30 s และส่งคืน voice ID

Kling · ข้อมูล (JSON)

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น
วางไฟล์ หรือ

URL ที่ชี้ไปยังไฟล์บันทึกเสียงในรูปแบบเสียง .mp3 หรือ .wav หรือวิดีโอ .mp4 หรือ .mov ไฟล์บันทึกต้องมีความยาว 5–30 วินาที และมีเสียงที่ชัดเจนจากผู้พูดเพียงคนเดียว

ขั้นสูง enable_safety_checker
POST /run/kling-video/create-voice?wait=20 ใบเสนอราคา → $0.007
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/create-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Kling Video Create Voice

สร้างเสียงที่นำกลับมาใช้ซ้ำได้สำหรับการควบคุมเสียงของโมเดล Kling ระบุ `voice_url` ที่ชี้ไปยังเสียง .mp3/.wav หรือวิดีโอ .mp4/.mov ความยาว 5-30 วินาที ซึ่งเป็นเสียงพูดเดียวที่ชัดเจน ผลลัพธ์คือสตริง `voice_id` ที่ระบุเสียงใหม่

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ปิดใช้การตรวจสอบความปลอดภัยได้เฉพาะเมื่อบัญชีได้รับอนุญาต คำขอที่ไม่มีการอนุญาตจะผ่านการตรวจสอบเสมอ
voice_urlจำเป็น
ประเภทurl · audio
URL ที่ชี้ไปยังไฟล์บันทึกเสียงในรูปแบบเสียง .mp3 หรือ .wav หรือวิดีโอ .mp4 หรือ .mov ไฟล์บันทึกต้องมีความยาว 5–30 วินาที และมีเสียงที่ชัดเจนจากผู้พูดเพียงคนเดียว
จำเป็น

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/create-voice",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 7,
    "usd": "0.007",
    "charged": 7,
    "refunded": 0
  },
  "input": {
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "voice_id": "829877809978941442"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
voice_id
stringID เฉพาะที่กำหนดให้กับเสียงที่สร้างใหม่

โมเดลเพิ่มเติม: เสียง

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/kling-video/create-voice.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt